Bug 535718 - (RHQ-2385) SCHWERWIEGEND: Target Unreachable, 'baseurl' returned null on 'java.util.LinkedHashMap'
SCHWERWIEGEND: Target Unreachable, 'baseurl' returned null on 'java.util.Link...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.3pre
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage jon-plugin-dev
  Show dependency treegraph
 
Reported: 2009-08-26 04:45 EDT by Heiko W. Rupp
Modified: 2010-08-12 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
QA8258
Last Closed: 2010-08-12 12:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhq-2385.patch (4.30 KB, text/plain)
2009-08-26 10:52 EDT, Heiko W. Rupp
no flags Details
DemoServer-plugin-A.jar (5.95 KB, application/java-archive)
2010-05-25 15:34 EDT, Heiko W. Rupp
no flags Details
DemoServer-plugin-B.jar (5.95 KB, application/java-archive)
2010-05-25 15:35 EDT, Heiko W. Rupp
no flags Details
Screenshot of the issue (25.10 KB, image/png)
2010-05-25 15:40 EDT, Heiko W. Rupp
no flags Details
screenshot for message_535718 (78.92 KB, image/png)
2010-06-01 06:37 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Heiko W. Rupp 2009-08-26 04:45:00 EDT
When manually adding a resource whose connection properties have changed since an earlier plugin version, I get

SCHWERWIEGEND: Target Unreachable, 'baseurl' returned null on 'java.util.LinkedHashMap'

in the server log and UI and the new resource can not be added.

We have seen that in the past with the creation in war files in RHQ-1555. Solution there was to put the managed bean into session scope and to correctly clean up etc.
Comment 1 Heiko W. Rupp 2009-08-26 09:33:25 EDT
A patch for this
Comment 2 Heiko W. Rupp 2009-08-26 10:52:13 EDT
Updated version of the patch that also handles the back button correctly.
Comment 3 Red Hat Bugzilla 2009-11-10 16:03:21 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2385
Imported an attachment (id=368784)
This bug is related to RHQ-1555
Comment 4 wes hayutin 2010-02-16 11:58:19 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 12:03:12 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Charles Crouch 2010-05-17 23:56:28 EDT
Heiko, can you add reproduction steps to this bug so QA can test and then apply your patch.
Comment 7 Heiko W. Rupp 2010-05-25 15:34:27 EDT
Created attachment 416488 [details]
DemoServer-plugin-A.jar
Comment 8 Heiko W. Rupp 2010-05-25 15:35:36 EDT
Created attachment 416489 [details]
DemoServer-plugin-B.jar

Second version of plugin
Comment 9 Heiko W. Rupp 2010-05-25 15:36:06 EDT
Comment on attachment 416488 [details]
DemoServer-plugin-A.jar

First version of plugin
Comment 10 Heiko W. Rupp 2010-05-25 15:40:03 EDT
How to reproduce:

Deploy first version of attached plugin that has

<plugin-configuration>
  <c:simple-property name="one"  ... />
  <c:simple-property name="two" ... />
</plugin-configuration>

Then go to the platform, try to manual add the resource "DemoServer". 
This shows the two properties. Click on ok. (actually this will result in an error, but this does not matter here).

Then deploy 2nd version of attached plugin that has

<plugin-configuration>
  <c:simple-property name="two"  ... />
  <c:simple-property name="three" ... />
</plugin-configuration>

Again, go to the platform, manually add the resource "DemoServer". This shows the new 2 properties.
Click on ok and the "Target Unreachable, 'three' returned null on 'java.util.LinkedHashMap'" issue will show up.
Comment 11 Heiko W. Rupp 2010-05-25 15:40:33 EDT
Created attachment 416490 [details]
Screenshot of the issue
Comment 12 Heiko W. Rupp 2010-05-25 15:41:30 EDT
setting to ON_QA for verification of the original issue as requested in comment 6
Comment 13 Sunil Kondkar 2010-06-01 06:37:14 EDT
Created attachment 418579 [details]
screenshot for message_535718
Comment 14 Sunil Kondkar 2010-06-01 06:40:26 EDT
Verified on jon build#181 (Revision: 10621)

Deployed the first version of attached plugin and then second. Manually added the resource to platform. Clicking OK button displays the message "Target Unreachable, 'three' returned null on 'java.util.LinkedHashMap'"

Please refer the attached screenshot.
Comment 15 Heiko W. Rupp 2010-06-15 05:25:34 EDT
bea23b1 on release-3.0.0 branch
Comment 16 Sunil Kondkar 2010-06-23 06:07:20 EDT
Verified on JON 2.4 GA_QA build

Deployed the first version of attached plugin and then second. Manually added
the resource to platform. 
Entered values in properties 'Three' and 'Two'. Clicking OK button does not display the error 'SCHWERWIEGEND: Target Unreachable, 'baseurl' returned null on
'java.util.LinkedHashMap' in server log and in UI.
Comment 17 Corey Welton 2010-08-12 12:58:57 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.